/* Reset HTML */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
    display: block;
}

body {
    line-height: 1;
    background: #FAFAFA !important;
}

ol,
ul {
    list-style: none;
}

blockquote,
q {
    quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
    content: '';
    content: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    overflow-x: hidden;
    scroll-behavior: smooth;
}

/* Root Variables */

:root {

    /* color-theme */

    --primary-clr: #DC1414;
    --primary-light: #F9D7D7;
    --Primarytext-clr: #111D35;
    --Secondarytext-clr: #424446;
    --light-text-clr: #D0D0D0;
    --bg-light: #ffffff;
    --border-clr: #E8E9EB;

    /* Typography */

    --fs-xxs: 0.75rem;
    --fs-xs: 0.875rem;
    --fs-sm: 1rem;
    --fs-md: 1.25rem;
    --fs-lg: 1.5rem;
    --fs-xl: 2rem;
    --fs-xxl: 2.5rem;
    --fs-xxxl: 3rem;
    --fs-xxxxl: 3.5rem;

    /* font-weight */

    --fw-xsm: 300;
    --fw-sm: 400;
    --fw-md: 500;
    --fw-lg: 600;
    --fw-xl: 700;

    /* radius */

    --br-sm: 8px;
    --br-md: 16px;
    --br-lg: 24px;
    --br-rounded: 50%;
}

.main {
    padding: 40px;
}

.top_nav {
    padding: 13px 32px;
}


.form-check-input {
    width: 20px !important;
    height: 20px !important;
}

.form-check-input:checked {
    background-color: var(--primary-clr) !important;
    border-color: var(--primary-clr) !important;
}

.btn_dark {
    background: #111D35 !important;
}

.btn_outline {
    border: 1px solid #D7692A;
    background: white;
    color: #D7692A;
}

.accident_form .Create_btn {
    top: 60px;
    right: 0;
    display: none;
}

.form-label {
    font-weight: var(--fw-md);
    font-size: var(--fs-xs);
    line-height: 17px;
    color: var(--Primarytext-clr);
}

hr {
    margin: 40px 0 !important;
    opacity: 1 !important;
    border-color: var(--border-clr) !important;
}

.form-control {
    height: 50px;

}
/* login */
.login_back {
    background-image: url('../../Assets/Images/LoginBack.svg');
    background-repeat: no-repeat;
    background-size: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 14px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
.sign-in {
    background-color: #FCF4EE;
    height: 56px;
    border-radius: 10px;
    border: 0;
}
.loginbg{
    background-color:#FFFFFF;
    border-radius: 12px;
    border: 1px solid;
    border-color: #D7692A;
    padding: 30px;

}
/* breadcrumbs */

.breadcrumb-item a {
    color: var(--Primarytext-clr);
}
.breadcrumb-item.active {
    color: var(--primary-clr) !important;
    text-decoration: underline;

}

textarea {
    min-height: 100px !important;
    resize: none !important;
}

/* right-side */
#right_side {
    margin-left: 270px;
}

.top_nav .dashboard a img {
    padding: 8px;
    border-radius: 50%;
    background: #F8F8F8;
}

/* left-side */

#left_side {
    max-width: 270px;
    background: linear-gradient(175.99deg, #FFA24C -76%, #F7E8DA 120.51%);
    height: 100vh;
    z-index: 11;
    position: fixed;
    top: 0;
    left: 0;
    overflow: scroll;
    transition: all 0.5s;
    border-right: 1px solid var(--border-clr);
}

#left_side::-webkit-scrollbar {
    display: none;
}

#left_side.open {
    transform: translateX(270px);
}

#left_side .brand_icon {
    padding: 32px;
    text-align: center;
    border-bottom: 1px solid #fff;
    position: sticky;
    top: 0;
    background: #fbc390;
}

#left_side .navbar-nav .nav-item {
    border-radius: 8px;
    margin-top: 8px;
}

#left_side .navbar-nav .nav-item.active {
    background: #E76100;
    color: #fff;
}

#left_side .navbar-nav .nav-item .nav-link {
    padding: 8px;
}

#left_side .brand_icon a {
    font-weight: var(--fw-xl);
    font-size: var(--fs-xl);
    line-height: 26px;
}

.main .heading {
    font-weight: var(--fw-lg);
    font-size: var(--fs-lg);
    line-height: 26px;
    color: var(--Primarytext-clr);
}

.main .sub_heading {
    font-weight: var(--fw-lg);
    font-size: var(--fs-sm);
    line-height: 26px;
    color: var(--Secondarytext-clr);
}

.open_menu {
    display: none;
}

.close {
    display: none;
}

/* table */
table thead {
    background: #FFEFE4;
    padding: 8px;
    color: black;
}

.log_table table thead tr th {
    background: #ff0000 !important;
}

input.check {
    width: 16px;
    height: 16px;
}

.action_icons .edit {
    cursor: pointer;
}

.rounded-pill {
    background: #F7F7F7 !important;
    padding: 10px !important;
}

.darkBreadcrumb {
    font-family: Poppins;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: 0em;
    text-align: left;
    color: #13171F;
}

.lightBeradcrumb {
    font-family: Poppins;
    font-size: 14px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: 0em;
    text-align: left;
    color: #797D85;
}

.clearbtn {
    padding: 12px 24px;
    border-radius: 10px;
    border: 1px;
    border: 1px solid #D7692A;
    gap: 8px;
    border-color: #D7692A;
    background-color: #fff;
    color: #D7692A;
}

.filterbtn {
    border-radius: 10px;
    background: #80D673;
    padding: 12px 24px;
    border: none;
}

.nav-drop {
    background: #F8EFE5;
    color: #5C2700;
    border-radius: 0 0 8px 8px;
}

.lightText {
    font-family: Poppins;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0.10000000149011612px;
    text-align: left;
    color: #797D85;

}


#left_side .navbar-nav .nav-item.active img {
    filter: invert(100%) sepia(7%) saturate(7483%) hue-rotate(541deg) brightness(209%) contrast(99%);
}

@media (max-width: 911px) {
    #left_side {
        transform: translateX(-270px);
    }

    #left_side.open {
        transform: translateX(0px);
    }

    .main {
        margin: 0px !important;
        padding: 16px !important;
        background: white;
    }

    #right_side {
        margin-left: 0px !important;
    }

    .accident_form .date-time {
        gap: 24px;
        flex-direction: column;
    }

    .main .heading {
        font-size: var(--fs-md);
    }

    .user_details {
        display: none;
    }

    .open_menu {
        display: block;
    }

    .close {
        right: -16px;
        display: none;
    }
}